#!/bin/sh
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 
# return filtered list
# TODO: Integrate in backend of frontend
# $Id: getid.sh,v 1.2 2002/12/04 15:26:16 philippe Exp $
md5=$1
argument=$2
i=1
var=""
var2=""

filter ()
{
	md5=$1
	variable=$2
	shift 2
	result=`config-wrapper.pl $md5 -g $variable | tr ',' '\n'`

	for filter_value in "$@"; do
		result="`echo \"$result\" | grep -i $filter_value `"
	done
	echo "$result" | awk ' { print $1 }' | tr '\n' ',' | sed -e 's!,$!!'
	echo
	return 0
}

case "$#" in
	0|1) # Error: need md5 + variable
	echo "Usage $0 md5 variable [[filter attribut]=[filter value]]" >&2
	exit 1
	;;

	2) # equal to filte null display eveything
		md5=$1
		variable=$2
		var=`config-wrapper.pl $md5 -g $variable`
		echo $var
		exit 0
	;;

	*) # display only filter list
		filter $@
	;;

esac

