#!/usr/bin/perl
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 
#this sub replace many characters by their %XX counterparts
sub encrypt
{
	  my $result = shift;

  $result =~ s/%/%25/g; # this one should be the first !!!
  $result =~ s/\t/%09/g;
  $result =~ s/\n/%13/g;
  $result =~ s/\r/%10/g;
  $result =~ s/\n/%13/g;
  $result =~ s/ /%20/g;
  $result =~ s/!/%21/g;
  $result =~ s/\"/%22/g;
  $result =~ s/\#/%23/g;
  $result =~ s/$/%24/g;
  $result =~ s/&/%26/g;
  $result =~ s/\'/%27/g;
  $result =~ s/\(/%28/g;
  $result =~ s/\)/%29/g;
  $result =~ s/\*/%2A/g;
  $result =~ s/\+/%2B/g;
  $result =~ s/,/%2C/g;
  $result =~ s/-/%2D/g;
  $result =~ s/\./%2E/g;
  $result =~ s!/!%2F!g;

  return $result;
}

sub uniq
{
	my %l; $l{$_} = 1 foreach @_; grep { delete $l{$_} } @_
}

my $separator=",";
my @l;


open (FILE, "/etc/services") or die "can't open /etc/services";
foreach (<FILE>)
{
	next if /^\s*#/;
	next if /^\s*$/;
	my ($name,$port) = /(\S+)\s*(\d+)/;
	my ($comment) = /#\s*(.*)/;
	$comment ||= $name ;
	#push @l, "$name ($comment \[$port])";
	#push @l, encrypt("$name ($comment [$port])");
	push @l, $name;
}

print join($separator, uniq (sort(@l))), "\n"; 

close FILE or die;

exit 0;
