#!/bin/sh
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 
mkdir -p /etc/freeswan/ipsec.d/{cacerts,private,crls}

ln -sf /usr/share/naat/scripts/gentestcrt.sh /usr/share/naat/scripts/gentestcrtca
ln -sf /usr/share/naat/scripts/gentestcrt.sh /usr/share/naat/scripts/gentestcrtserver
ln -sf /usr/share/naat/scripts/gentestcrt.sh /usr/share/naat/scripts/gentestcrtwindows
/bin/chown -R httpd-naat.admin /var/www-naat/*;
if [ -e /var/www-naat/squidGuard/squidGuard.cgi ]; then
	/bin/chmod a+x /var/www-naat/squidGuard/squidGuard.cgi
fi;
if [ -e /var/www-naat/squidGuard/dansguardian.cgi ]; then
	/bin/chmod a+x /var/www-naat/squidGuard/dansguardian.cgi
fi;
/bin/chmod a+x /usr/share/naat/scripts/snortsnarf.sh;
/bin/chmod a+x /usr/share/naat/scripts/bind-chroot.sh;
if [ -e /etc/ez-ipupdate.conf ]; then 
	/bin/chmod 0600 /etc/ez-ipupdate.conf
fi
if [ -e /etc/ppp/ip-up.local ]; then 
	/bin/chmod 0755 /etc/ppp/ip-up.local
fi
if [ -e /sbin/ifup-local ]; then 
	/bin/chmod 0755 /sbin/ifup-local
fi
/bin/chmod 744 /etc/cron.daily/0sarg;
/bin/chmod 744 /etc/cron.daily/clean-naat;
/bin/chmod 744 /etc/cron.weekly/0sarg;
/bin/chmod 744 /etc/cron.monthly/0sarg;
if [ -e /var/lib/named-chroot/var/named ]; then 
	/bin/chown -R named.named /var/lib/named-chroot/var/named
fi;
if [ -e /var/lib/named-chroot/etc/named.conf ]; then
	/bin/chown named.named /var/lib/named-chroot/etc/named.conf
fi;
if [ -e /var/lib/named-chroot/etc/named.conf ]; then
	/bin/chmod 600 /var/lib/named-chroot/etc/named.conf
fi;
if [ -e /var/lib/named-chroot/etc/rndc.conf ]; then
	/bin/chown named.named /var/lib/named-chroot/etc/rndc.conf
fi;
if [ -e /var/lib/named-chroot/etc/rndc.conf ]; then
	/bin/chmod 600 /var/lib/named-chroot/etc/rndc.conf
fi;
if [ -e /var/lib/named-chroot/etc/rndc.key ]; then
	/bin/chown named.named /var/lib/named-chroot/etc/rndc.key
fi;
if [ -e /var/lib/named-chroot/etc/rndc.key ]; then
	/bin/chmod 600 /var/lib/named-chroot/etc/rndc.key
fi;
if [ -e /var/lib/named-chroot/var/run/named.pid ]; then
	/bin/chown named.named /var/lib/named-chroot/var/run/named.pid
fi;
if [ ! -x /etc/sysconfig/network-scripts/net_cnx_up -o ! -x /etc/sysconfig/network-scripts/net_cnx_down ]; then
	/bin/chmod +x /etc/sysconfig/network-scripts/net_cnx_*
fi
