#!/usr/bin/perl -W
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 

# Copyright (C) 2000,2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
#
# $Id: update-initscripts.pl,v 1.2 2002/12/04 15:26:16 philippe Exp $
#

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if @ARGV;

if (! $transaction_name ) {
    $transaction_name = "$$";
    # initialize a backend transaction
    system ("config-wrapper.pl $transaction_name -i");
}

# Look for Active Ethernet Interfaces 
my $internet_access_type = `config-wrapper.pl $$ -g InternetAccessType`;

if (defined ($internet_access_type)) {

    $internet_access_type =~ /isdn/ && { 
	system ("chkconfig --add isdn4linux");
	system ("chkconfig --del adsl");
    };
    $internet_access_type =~ /modem/ && { 
	system ("chkconfig --del isdn4linux");
	system ("chkconfig --del adsl");
    };
    $internet_access_type =~ /adsl/ && { 
	system ("chkconfig --del isdn4linux");
	system ("chkconfig --add adsl");
    };
    $internet_access_type =~ /fixed/ && { 
	system ("chkconfig --del isdn4linux");
	system ("chkconfig --del adsl");
    };
    $internet_access_type =~ /cable/ && { 
	system ("chkconfig --del isdn4linux");
	system ("chkconfig --del adsl");
    };
}

if ( $transaction_name eq "$$" ) {
    # cleanup the transaction
    system ("config-wrapper.pl $transaction_name -a");
}
