#!/usr/bin/perl -W
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
#
# $Id: adsl-auto-reconnect.pl,v 1.3 2002/12/04 15:26:16 philippe Exp $
#

# Add/remove an entry in the crontab to set ADSL automatic reconnection

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if @ARGV;


if (! $transaction_name ) {
    $transaction_name = "$$";
    # initialize a backend transaction
    system ("config-wrapper.pl $transaction_name -i");
}

my ($adsl_reconnect,$adsl_delay) = `config-wrapper.pl $transaction_name -g ADSLAutomaticReconnect -g ADSLAutomaticReconnectDelay`;
if ( $adsl_reconnect =~ /on/i ) {
    chomp $adsl_delay;
    # ugly
    `perl -ni -e 'print unless m!adsl-reconnect.sh!' /etc/crontab`;
    `echo "*/$adsl_delay * * * *    root    /usr/sbin/adsl-reconnect.sh" >> /etc/crontab`;
    `/sbin/service crond reload`;
} 
else {
    `perl -ni -e 'print unless m!adsl-reconnect.sh!' /etc/crontab`;
    `/sbin/service crond reload`;
}

if ( $transaction_name eq "$$" ) {
    # cleanup the transaction
    system ("config-wrapper.pl $transaction_name -a");
}


