#!/bin/sh
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 

# Copyright (C) 2001 Mandrakesoft
# Author Philippe Libat <philippe@mandrakesoft.com>
# 
# $Id: fw-services.sh,v 1.2 2002/12/04 15:26:16 philippe Exp $
#

# this script list tcp or udp services 

# Usage : fw-services.sh tcp 
# Usage : fw-services.sh udp 

# TODO: different argument / procotol and convert to 
# TODO: format  port (TCP=KKK,UDP=III), port2 ....
# $Id: fw-services.sh,v 1.2 2002/12/04 15:26:16 philippe Exp $

# Functions
Usage ()
{
echo "Usage: $0 [tcp|udp|icmp]" >&2
}

# number of argument
case $# in
	1)
	# first argument
	case $1 in
		tcp)  awk -F\# ' { print $1 } ' /etc/services | \
			  awk ' /[0-9]\/tcp/ { print $1} ' | sort | xargs |tr ' ' ','
		;;
		udp)  awk -F\# ' { print $1 } ' /etc/services | \
			  awk ' /[0-9]\/udp/ { print $1} ' | sort | xargs |tr ' ' ','
		;;
		icmp)  /sbin/ipchains -h icmp | grep -v '^ ' | awk  ' { if (FNR >3 )  print  $1 } ' | xargs | tr ' ' ','
		;;
		*) Usage
		exit 1
		;;
	esac 
	;;
#0) echo alone ;;
	*) Usage
 		exit 1
	;;
esac

exit 
#cat /etc/services | awk -F\# ' { print $1 }' | \
#awk '/[0-9]\/tcp/ { print $1} ' | sort | xargs |tr ' ' ',' 
#### End
