#!/usr/bin/perl -W
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
#
# $Id: hostname.pl,v 1.2 2002/12/04 15:26:16 philippe Exp $
#

# Update the machine hostname


# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
# WARNING: this script ALWAYS takes a transaction as a first argument
my $transaction_name = shift @ARGV if (@ARGV); 

if (@ARGV) {
    # here ARGV[0] is always the hostname parameter
    system ("sudo","/bin/hostname", $ARGV[0]);
} else {
    # read the hostname in /etc/sysconfig/network and update the system
    my ($var,$value) = split ('=',`sudo grep HOSTNAME /etc/sysconfig/network`);
    chomp $value;
    $value =~ s/\..*//;
    system ("sudo","/bin/hostname", $value);
}


