#/bin/sh
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 

# Copyright (C) 2001 Mandrakesoft
# Author Vincent Saugey <vince@mandrakesoft.com>
#
# $Id: monitoring-activate.pl,v 1.2 2002/12/04 15:26:16 philippe Exp $
#

# Activate or desactivate the monitoring by rrdtool

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if @ARGV;


# command ligne to add to /etc/crontab
$ligne="0-59/5 * * * * root /usr/bin/monitor_script.pl"

if (! $transaction_name ) {
    $transaction_name = "$$";
    # initialize a backend transaction
    system ("config-wrapper.pl $transaction_name -i");
}

$status = `config-wrapper.pl $transaction_name -g DHCPServer`;

if [ "$status" -eq "yes" ]
then
   grep "$ligne" /etc/crontab || echo $ligne >> /etc/crontab;
else
    grep -v "$ligne" /etc/crontab > /tmp/crontab
    mv /tmp/crontab /etc/crontab
fi

if ( $transaction_name eq "$$" ) {
    # cleanup the transaction
    system ("config-wrapper.pl $transaction_name -a");
}
