#!/bin/sh
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>

# Ping a host to test internet connection

[ ! -e /etc/pingtest.conf ] && exit;
. /etc/pingtest.conf

# find the gateway interface
GWINTERFACE=`route -n | tail --lines=1 | awk ' { print $8 } '`;
# find the corresponding IP
#    IPADDR=`ifconfig | grep -A 1 $GWINTERFACE | tail --lines=1 | awk ' { print $2 } ' | sed  "s/addr:\(.*\)/(your ip address on $GWINTERFACE is \1)/" `;
IPADDR=`ifconfig | grep -A 1 $GWINTERFACE | tail --lines=1 | awk ' { print $2 } ' | sed  "s/addr:\(.*\)/\1/" `;
if [ -z $HostToPing ]; then
	STATUS="No%20Host%20to%20ping"
else
		ping_test=`ping -w 5 -c 1 -i 1 $HostToPing |awk '{print $7}'|grep time|sed -e 's|[^.]*=||g'`
	if [ $ping_test ]; then
		STATUS=$ping_test
	else
		STATUS=Down
	fi  
fi
# Display result
# TODO: add network cases
	if [ $ping_test ]; then
		echo "Status (status=ping:${STATUS}s interface=$GWINTERFACE address=$IPADDR)";
	else 
		echo "Status (status=${STATUS} interface=$GWINTERFACE address=$IPADDR)";
	fi
		exit
