#!/usr/bin/perl -w
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 

# Copyright (C) 2001 Mandrakesoft
# Author Philippe Libat <philippe@mandrakesoft.com>
# 
# $Id: shutdown.pl,v 1.2 2002/12/04 15:26:16 philippe Exp $
#

use strict;
use Errno;
use lib qw(/usr/lib/naat);
use backend::util;
use backend::config;

# Usage: shutdown.pl [trans_name] [reboot|halt]

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if (@ARGV);

my $action = shift @ARGV;
exit (1) unless defined $action;

if ($action =~ /reboot/) {
	system ("sudo","/sbin/shutdown","-r","now");
} elsif  ($action =~ /halt/) {
	system ("sudo","/sbin/shutdown","-h","now");
} else  {
	exit (1);
}
