#!/usr/bin/perl -w
#/*
# Copyright (C) 2002 MandrakeSoft SA
# 
# This program may be distributed and/or
# modified under the terms of the GNU General Public
# License version 2 as published by the Free Software Foundation
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# Licensees holding valid MandrakeSecurity MNF Commercial License may use this
# file in  accordance with the MandrakeSecurity MNF Commercial License Agreement
# provided with the Software.
# 
# See http://www.mandrakesoft.com/mnf/license for information about MandrakeSecurity MNF Commercial License Agrrement.
#*/ 

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
# 
# $Id: squidGuard_backup.pl,v 1.4 2002/12/04 15:26:16 philippe Exp $
#

# squidGuard_backup.pl [transaction] --backup/--restore path/filename

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if ( @ARGV && $ARGV[0] !~ /^-/ );

my $backup_filename = "/var/www-naat/html/genfiles/WebProxyRulesBackup.tar.bz2";
my $restore_filename = "/var/lib/naat/WebProxyRulesUploaded.tar.bz2";

if ( $ARGV[0] eq "--backup"     || $ARGV[0] eq "-b" ) {

    if ($ARGV[1]) {
	$backup_filename = $ARGV[1];
    }

    system ("/bin/tar cpPf - /usr/share/squidGuard*/db | /usr/bin/bzip2 > $backup_filename");

} elsif ( $ARGV[0] eq "--restore" || $ARGV[0] eq "-r" ) {

    if ($ARGV[1]) {
	$restore_filename = $ARGV[1];
    }

    system ("/usr/bin/bzcat $restore_filename | /bin/tar xpPf  -");

}



