#! /usr/bin/perl
#
# Sample CGI to explain to the user that the URL is blocked and by which rule set
#
# By Pl Baltzersen 1998
#

$QUERY_STRING = $ENV\{'QUERY_STRING'\};
$DOCUMENT_ROOT = $ENV\{'DOCUMENT_ROOT'\};

$clientaddr = "";
$clientname = "";
$clientident = "";
$srcclass = "";
$targetclass = "";
$url = "";
$time = time;
@day = ("Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday");
@month = ("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");

while ($QUERY_STRING =~ /^\&?([^&=]+)=([^&=]*)(.*)/) \{
  $key = $1;
  $value = $2;
  $QUERY_STRING = $3;
  if ($key =~ /^(clientaddr|clientname|clientident|srcclass|targetclass|url)$/) \{
    eval "\$$key = \$value";
  \}
  if ($QUERY_STRING =~ /^url=(.*)/) \{
    $url = $1;
    $QUERY_STRING = "";
  \}
\}

if ($url =~ /\.(gif|jpg|jpeg|mpg|mpeg|avi|mov)$/i) \{
  print "Content-Type: image/gif\n";
  ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = gmtime($time);
  printf "Expires: %s, %02d-%s-%02d %02d:%02d:%02d GMT\n\n", $day[$wday],$mday,$month[$mon],$year,$hour,$min,$sec;
  open(GIF, "$DOCUMENT_ROOT/images/blocked.gif");
  while (<GIF>) \{
    print;
  \}
  close(GIF)
\} else \{
  print "Content-type: text/html\n";
  ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = gmtime($time);
  printf "Expires: %s, %02d-%s-%02d %02d:%02d:%02d GMT\n\n", $day[$wday],$mday,$month[$mon],$year,$hour,$min,$sec;
#  print "    <BR><BR><BR>\n\n";
  print "<HTML>\n\n <HEAD>\n\n\n <TITLE>302 Access denied</TITLE>\n  </HEAD>\n\n";
  print "  <BODY BGCOLOR=\"#21449C\" text=\"#FFFFFF\">\n";
  if ($srcclass eq "unknown") \{
#    print "         BORDER=0></A>\n      </P>\n\n";
    print "    <H1 ALIGN=CENTER>Access denied because<BR>this client is not<BR>defined on the proxy</H1>\n\n";
    print "    <TABLE BORDER=0 ALIGN=CENTER>\n";
#    print "      <TR><TH ALIGN=RIGHT>Supplementary info<TH ALIGN=CENTER>:<TH ALIGN=LEFT>\n";
    print "      <TR><TH ALIGN=RIGHT>Client address<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientaddr\n";
  #  print "      <TR><TH ALIGN=RIGHT>Client name<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientname\n";
  #  print "      <TR><TH ALIGN=RIGHT>User ident<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientident\n";
    print "      <TR><TH ALIGN=RIGHT>Client group<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$srcclass\n";
    print "    </TABLE>\n\n";
# print the squidGuard region
{ 
	if (($SquidGuardTimeRestriction =~ /Y/i) && ($UrlFilter =~ /on/i)) {
		my @Snd = ($SquidGuardWorkHoursSunAM,$SquidGuardWorkHoursSunPM);
		my @Mnd = ($SquidGuardWorkHoursMonAM,$SquidGuardWorkHoursMonPM);
		my @Tsd = ($SquidGuardWorkHoursTueAM,$SquidGuardWorkHoursTuePM);
		my @Wnd = ($SquidGuardWorkHoursWedAM,$SquidGuardWorkHoursWedPM);
		my @Thd = ($SquidGuardWorkHoursThuAM,$SquidGuardWorkHoursThuPM);
		my @Frd = ($SquidGuardWorkHoursFriAM,$SquidGuardWorkHoursFriPM);
		my @Std = ($SquidGuardWorkHoursSatAM,$SquidGuardWorkHoursSatPM);
		my @days = (@Snd,@Mnd,@Tsd,@Wnd,@Thd,@Frd,@Std);
		my @week = (Sunday,Monday,Tuesday,Wednesday,Thurdsay,Friday,Saturday);
		$OUT .= "print \"<BR>\\n\";\n";
		$OUT .= "print \"<CENTER>\\n\";\n";
  	  	$OUT .= "print \"<TABLE WIDTH=\\\"60%\\\" BORDER=0  CELLPADDING=\\\"1\\\" CELLSPACING=\\\"0\\\">\\n\";\n";
		$OUT .= "print \"<TR>\\n\";\n";
		$OUT .= "print \"<TH ALIGN=CENTER BGCOLOR=\\\"#21449C\\\"><H2><FONT COLOR=\\\"#66CC00\\\">Here below you can find the authorized time range</FONT></H2>\\n\";\n";
		$OUT .= "print \"</TH>\\n\";\n";
		$OUT .= "print \"</TR>\\n\";\n";
		$OUT .= "print \"<TR>\\n\";\n";
		$OUT .= "print \"<TH ALIGN=CENTER BGCOLOR=\\\"#21449C\\\">The local time on the firewall is: \".localtime.\"\\n\";\n";
		$OUT .= "print \"</TH>\\n\";\n";
		$OUT .= "print \"</TR>\\n\";\n";
		$OUT .= "print \"</TABLE>\\n\";\n";
		$OUT .= "print \"</CENTER>\\n\";\n";
		for ($i=0; $i<=12; $i+=2) { 
			my @rangesAM = split (/-/, $days[$i]);
			my @rangesPM = split (/-/, $days[$i+1]);
			my @AMtime1 = split(/:/,$rangesAM[0]);
			my @AMtime2 = split(/:/,$rangesAM[1]);
			my @PMtime1 = split(/:/,$rangesPM[0]);
			my @PMtime2 = split(/:/,$rangesPM[1]);
#			$OUT .= "print \"$AMtime1[0], $AMtime1[1], $AMtime2[0], $AMtime2[1], $PMtime1[0], $PMtime1[1], $PMtime2[0], $PMtime2[1]\\n\";\n";
			my $width1 = int(($AMtime1[0]*60+$AMtime1[1])*100/1440);
			my $width2 = int(($AMtime2[0]*60+$AMtime2[1])*100/1440)-$width1;
			my $width3 = int(($PMtime1[0]*60+$PMtime1[1])*100/1440)-$width2-$width1;
			my $width4 = int(($PMtime2[0]*60+$PMtime2[1])*100/1440)-$width3-$width2-$width1;
			my $width5 = 100-$width4-$width3-$width2-$width1;
#			$OUT .= "print \"$width1, $width2, $width3, $width4, $width5\\n\";\n";
		
			$OUT .= "print \"<CENTER>\\n\";\n";
  		  	$OUT .= "print \"<TABLE WIDTH=\\\"60%\\\" BORDER=0  CELLPADDING=\\\"1\\\" CELLSPACING=\\\"0\\\">\\n\";\n";
			$OUT .= "print \"<TR>\\n\";\n";
			$OUT .= "print \"<TH ALIGN=LEFT BGCOLOR=\\\"#21449C\\\">$week[($i-$i%2)/2]\\n\";\n";
			$OUT .= "print \"</TH>\\n\";\n";
			$OUT .= "print \"</TR>\\n\";\n";
			$OUT .= "print \"<TR>\\n\";\n";
		if ($width1) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width1."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">".$rangesAM[0]."\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width2) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width2."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">".$rangesAM[1]."\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width3) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width3."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">".$rangesPM[0]."\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width4) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width4."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">".$rangesPM[1]."\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width5) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width5."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">24:00\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
			$OUT .= "print \"</TR>\\n\";\n";
			$OUT .= "print \"<TR>\\n\";\n";
		if ($width1) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width1."%\\\"BGCOLOR=\\\"#FF3300\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width2) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width2."%\\\"BGCOLOR=\\\"#66CC00\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width3) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width3."%\\\"BGCOLOR=\\\"#FF3300\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width4) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width4."%\\\"BGCOLOR=\\\"#66CC00\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width5) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width5."%\\\"BGCOLOR=\\\"#FF3300\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
			$OUT .= "print \"</TR>\\n\";\n";
			$OUT .= "print \"</TABLE>\\n\";\n";
			$OUT .= "print \"</CENTER>\\n\";\n";
		};
		$OUT .= "print \"<BR>\\n\";\n";
	};
}
    print "    <P ALIGN=CENTER>If this is wrong, contact your admin and send all the above information<BR>\n";
{
	my @admin = split(/\@/, $SquidAlertEmail);
	$OUT .=	"print \"      <A HREF=mailto:".$admin[0]."\\@".$admin[1].">".$admin[0]."\\@".$admin[1]."</A>\n\";";
} 
   print "    </P>\n\n";
  \} elsif ($targetclass eq "in-addr") \{
    print "    <P ALIGN=RIGHT>\n";
    print "      <A HREF=\"http://www.linux-mandrake.com/\"><IMG SRC=\"http://127.0.0.1/icons/crosslight3.gif\"\n";
#    print "         BORDER=0></A>\n      </P>\n\n";
    print "    <H1 ALIGN=CENTER>IP address URLs<BR>are not allowed<BR>from this client</H1>\n\n";
    print "    <TABLE BORDER=0 ALIGN=CENTER>\n";
#    print "      <TR><TH ALIGN=RIGHT>Supplementary info<TH ALIGN=CENTER>:<TH ALIGN=LEFT>\n";
    print "      <TR><TH ALIGN=RIGHT>Client address<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientaddr\n";
#    print "      <TR><TH ALIGN=RIGHT>Client name<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientname\n";
#    print "      <TR><TH ALIGN=RIGHT>User ident<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientident\n";
    print "      <TR><TH ALIGN=RIGHT>Client group<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$srcclass\n";
    print "      <TR><TH ALIGN=RIGHT>URL<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$url\n";
    print "      <TR><TH ALIGN=RIGHT>Target class<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$targetclass\n";
    print "    </TABLE>\n\n";
    print "    <P ALIGN=CENTER>Contact the <B>webmaster</B> of <B>$url</B><BR>\n";
    print "      and ask him to give the webserver a proper <U>domain name</U>\n";
    print "    </P>\n\n";
  \} else \{
#    print "    <P ALIGN=RIGHT>\n";
#    print "      <A HREF=\"http://www.linux-mandrake.com/\"><IMG SRC=\"http://127.0.0.1/icons/crosslight3.gif\"\n";
#    print "         BORDER=0></A>\n      </P>\n\n";
#    print "    <BR><BR><BR>\n\n";
    print "    <BR><H1><center><table width =60% bgcolor = \"#FFFFFF\"><tr><td><FONT COLOR=\"#FF3300\" size = 4><CENTER><B>Access denied</B></CENTER></FONT></td></tr></table></center></H1><BR>\n\n";
    print "    <TABLE BORDER=0 ALIGN=CENTER>\n";
 #   print "      <TR><TH ALIGN=RIGHT>Supplementary info<TH ALIGN=CENTER>:<TH ALIGN=LEFT>\n";
    print "      <TR><TH ALIGN=RIGHT>Client address<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientaddr\n";
#    print "      <TR><TH ALIGN=RIGHT>Client name<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientname\n";
#    print "      <TR><TH ALIGN=RIGHT>User ident<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$clientident\n";
    print "      <TR><TH ALIGN=RIGHT>Client group<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$srcclass\n";
    print "      <TR><TH ALIGN=RIGHT>URL<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$url\n";
    print "      <TR><TH ALIGN=RIGHT>Target class<TH ALIGN=CENTER>=<TH ALIGN=LEFT>$targetclass\n";
    print "    </TABLE>\n\n";
# print the squidGuard region
{ 
	if (($SquidGuardTimeRestriction =~ /Y/i) && ($UrlFilter =~ /on/i)) {
		my @Snd = ($SquidGuardWorkHoursSunAM,$SquidGuardWorkHoursSunPM);
		my @Mnd = ($SquidGuardWorkHoursMonAM,$SquidGuardWorkHoursMonPM);
		my @Tsd = ($SquidGuardWorkHoursTueAM,$SquidGuardWorkHoursTuePM);
		my @Wnd = ($SquidGuardWorkHoursWedAM,$SquidGuardWorkHoursWedPM);
		my @Thd = ($SquidGuardWorkHoursThuAM,$SquidGuardWorkHoursThuPM);
		my @Frd = ($SquidGuardWorkHoursFriAM,$SquidGuardWorkHoursFriPM);
		my @Std = ($SquidGuardWorkHoursSatAM,$SquidGuardWorkHoursSatPM);
		my @days = (@Snd,@Mnd,@Tsd,@Wnd,@Thd,@Frd,@Std);
		my @week = (Sunday,Monday,Tuesday,Wednesday,Thurdsay,Friday,Saturday);
		$OUT .= "print \"<BR>\\n\";\n";
		$OUT .= "print \"<CENTER>\\n\";\n";
  	  	$OUT .= "print \"<TABLE WIDTH=\\\"60%\\\" BORDER=0  CELLPADDING=\\\"1\\\" CELLSPACING=\\\"0\\\">\\n\";\n";
		$OUT .= "print \"<TR>\\n\";\n";
		$OUT .= "print \"<TH ALIGN=CENTER BGCOLOR=\\\"#21449C\\\"><H2><FONT COLOR=\\\"#66CC00\\\">Here below you can find the authorized time range</FONT></H2>\\n\";\n";
		$OUT .= "print \"</TH>\\n\";\n";
		$OUT .= "print \"</TR>\\n\";\n";
		$OUT .= "print \"<TR>\\n\";\n";
		$OUT .= "print \"<TH ALIGN=CENTER BGCOLOR=\\\"#21449C\\\">The local time on the firewall is: \".localtime.\"\\n\";\n";
		$OUT .= "print \"</TH>\\n\";\n";
		$OUT .= "print \"</TR>\\n\";\n";
		$OUT .= "print \"</TABLE>\\n\";\n";
		$OUT .= "print \"</CENTER>\\n\";\n";
		for ($i=0; $i<=12; $i+=2) { 
			my @rangesAM = split (/-/, $days[$i]);
			my @rangesPM = split (/-/, $days[$i+1]);
			my @AMtime1 = split(/:/,$rangesAM[0]);
			my @AMtime2 = split(/:/,$rangesAM[1]);
			my @PMtime1 = split(/:/,$rangesPM[0]);
			my @PMtime2 = split(/:/,$rangesPM[1]);
#			$OUT .= "print \"$AMtime1[0], $AMtime1[1], $AMtime2[0], $AMtime2[1], $PMtime1[0], $PMtime1[1], $PMtime2[0], $PMtime2[1]\\n\";\n";
			my $width1 = int(($AMtime1[0]*60+$AMtime1[1])*100/1440);
			my $width2 = int(($AMtime2[0]*60+$AMtime2[1])*100/1440)-$width1;
			my $width3 = int(($PMtime1[0]*60+$PMtime1[1])*100/1440)-$width2-$width1;
			my $width4 = int(($PMtime2[0]*60+$PMtime2[1])*100/1440)-$width3-$width2-$width1;
			my $width5 = 100-$width4-$width3-$width2-$width1;
#			$OUT .= "print \"$width1, $width2, $width3, $width4, $width5\\n\";\n";
		
			$OUT .= "print \"<CENTER>\\n\";\n";
  		  	$OUT .= "print \"<TABLE WIDTH=\\\"60%\\\" BORDER=0  CELLPADDING=\\\"1\\\" CELLSPACING=\\\"0\\\">\\n\";\n";
			$OUT .= "print \"<TR>\\n\";\n";
			$OUT .= "print \"<TH ALIGN=LEFT BGCOLOR=\\\"#21449C\\\">$week[($i-$i%2)/2]\\n\";\n";
			$OUT .= "print \"</TH>\\n\";\n";
			$OUT .= "print \"</TR>\\n\";\n";
			$OUT .= "print \"<TR>\\n\";\n";
		if ($width1) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width1."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">".$rangesAM[0]."\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width2) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width2."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">".$rangesAM[1]."\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width3) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width3."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">".$rangesPM[0]."\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width4) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width4."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">".$rangesPM[1]."\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width5) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width5."%\\\" ALIGN=RIGHT BGCOLOR=\\\"#21449C\\\">24:00\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
			$OUT .= "print \"</TR>\\n\";\n";
			$OUT .= "print \"<TR>\\n\";\n";
		if ($width1) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width1."%\\\"BGCOLOR=\\\"#FF3300\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width2) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width2."%\\\"BGCOLOR=\\\"#66CC00\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width3) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width3."%\\\"BGCOLOR=\\\"#FF3300\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width4) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width4."%\\\"BGCOLOR=\\\"#66CC00\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
		if ($width5) {
			$OUT .= "print \"<TD WIDTH=\\\"".$width5."%\\\"BGCOLOR=\\\"#FF3300\\\">&nbsp\\n\";\n";
			$OUT .= "print \"</TD>\\n\";\n";
		};
			$OUT .= "print \"</TR>\\n\";\n";
			$OUT .= "print \"</TABLE>\\n\";\n";
			$OUT .= "print \"</CENTER>\\n\";\n";
		};
		$OUT .= "print \"<BR>\\n\";\n";
	};
}
    print "    <P ALIGN=CENTER><FONT COLOR=\"#66CC00\">If this is wrong, contact your admin and send all the above information</FONT><BR>\n";

{
	my @admin = split(/\@/, $SquidAlertEmail);
	$OUT .=	"print \"      <A HREF=mailto:".$admin[0]."\\@".$admin[1].">".$admin[0]."\\@".$admin[1]."</A>\n\";";
} 
 
    print "    </P>\n\n";
  \}
  print "  </BODY>\n\n</HTML>\n";
\}
exit 0;
